define('finishedUploadlist', [
    'app', 'base'
], function (app,base) {
    'use strict';
    app.controller('finishedUploadCtrl', ['$scope', '$http', function ($scope, $http) {
        let electron = nodeRequire('electron');
        let {remote, ipcRenderer} = electron;

        // 初始化当前页码
        $scope.pageNow = 1;
        // 页面下拉选
        $scope.pageSizes = [{
            type: 10,
            title: '10'
        }, {
            type: 20,
            title: '20'
        }, {
            type: 50,
            title: '50'
        }, {
            type: 100,
            title: '100'
        }]
        $scope.pageSize = 20;

        //获取基础配置
        const {baseConfig} = remote.getGlobal('globalObject');
        /**
         * @see 常量快定义
         */
        const constant = {
            'url': {
                'getUploadList': 'clientupload/uploadFileChange'
            },
            'common': {
                'uid': localStorage.getItem(baseConfig.LOCALSTORAGE.UID),
                'prefix': `${baseConfig.HTTP.HTTPSFIX}${baseConfig.SERVER.HOST}${baseConfig.API.FIX}`,
                'suffix': `${baseConfig.SERVER.FIX}?apiKey=${baseConfig.API.APIKEY}`,
                'cookieid': localStorage.getItem(baseConfig.LOCALSTORAGE.COOKIEID)
            }
        }

        /**
         * @see 点击翻页查询数据
         */
        $scope.pageChange = function () {
            getListFromServer('');
        }


        /**
         * @see 系统退出登录
         */
        $scope.logout = function () {
            base.logout();
        }


        /**
         * @see 从服务器直接获取项目列表
         * @param from 方法调用来源
         */
        var getListFromServer = function () {
            let param = {
                'uid': constant.common.uid,
                'cookieid': constant.common.cookieid,
                'pageSize': $scope.pageSize,
                'pageNow': $scope.pageNow,
                'status': '4',
                'queryProjectNum': $scope.pNumbers || '',
                'queryStoreName': $scope.storeName || '',
                'queryQuesNum': $scope.pNum || ''
            };

            $http.post(`${constant.common.prefix}${constant.url.getUploadList}${constant.common.suffix}`, param
            , {
                'headers': baseConfig.HEADERS.ANGULAR
            }).success(function (data) {

                if (data.backdata.status === 0) {
                    let { backdata : {items, totalCount} = {} } = data;
                    $scope.items = items;
                    $scope.totalCount = totalCount;
                    console.log( $scope.items);
                    if ($scope.totalCount === 0)
                        $scope.nolist = '暂无数据';
                    else
                        $scope.nolist = '';
                } else {
                    $scope.nolist = '暂无数据';
                    base.msgModal('请求过于频繁，请稍后再试 ^_^');
                }

            }).error(function () {
                $scope.nolist = '暂无数据';
                base.msgModal('请求过于频繁，请稍后再试 ^_^');
            });
        }
        /**
         * @see 查询正在上传列表
         *
         */
        $scope.queryStore = function (from) {
            getListFromServer();

        }

        /**
         * @see 主方法 默认加载数据
         */
        var main = function (from) {
            getListFromServer('main');
        }();
    }]);
});
