define('login', ['app', 'base'], function (app, base) {
    'use strict';
    app.controller('loginCtrl', ['$scope', '$http', function ($scope, $http) {
        // 错误提示信息样式
        $scope.errorspanStyle = {
            'margin-top': '.5em'
        }


        // 图标样式
        $scope.iconmargintopStyle = {
            'margin-top': '.9em'
        }

        // 登录按钮文字
        $scope.loginmsg = '登录';

        /**
         * @see 登录
         * @param from  方法来源
         */
        $scope.operation = function (from) {
            if (from === 'login')
                login();

        }

        const electron = nodeRequire('electron');
        const { remote, ipcRenderer } = electron;

        //获取基础配置
        const { baseConfig } = remote.getGlobal('globalObject');

        /**
         * @see 登录方法
         */
        var login = function () {

            let url = `${baseConfig.HTTP.HTTPSFIX}${baseConfig.SERVER.HOST}${baseConfig.API.FIX}clientdownload/clientLogin${baseConfig.SERVER.FIX}?apiKey=${baseConfig.API.APIKEY}`;
            $scope.logining = true;
            $scope.loginmsg = '登录中';

            const loginInfo = {
                'loginName': $scope.loginName,
                'password': $scope.password
            }

            $http.post(url, loginInfo, {
                'headers': baseConfig.HEADERS.ANGULAR
            }).success(function (data) {
                let { backdata } = data, { status, uid, phone, userType, email, errormsg } = backdata;
                if (status === 0) {
                    localStorage.setItem(baseConfig.LOCALSTORAGE.UID, uid);
                    localStorage.setItem(baseConfig.LOCALSTORAGE.PHONE, phone);
                    localStorage.setItem(baseConfig.LOCALSTORAGE.USERTYPE, userType);
                    localStorage.setItem(baseConfig.LOCALSTORAGE.EMAIL, email);
                    if (!localStorage.getItem(baseConfig.LOCALSTORAGE.COOKIEID))
                        localStorage.setItem(baseConfig.LOCALSTORAGE.COOKIEID, base.UUID().toLowerCase());

                    localStorage.setItem(baseConfig.LOCALSTORAGE.LOGININFO, JSON.stringify(loginInfo));

                    const sendObj = {
                        'uid': uid,
                        'cookieid': localStorage.getItem(baseConfig.LOCALSTORAGE.COOKIEID),
                        'email': email,
                        'phone': phone
                    };
                    ipcRenderer.send('saveLoginUserInfo', sendObj);
                    ipcRenderer.on('saveLoginUserInfoBack', (event, val) => {
                        if (val === 'ok') {
                            const downLoadSettingInfo = localStorage.getItem('saveDownLoadSettingInfo');
                            let isQnumber = 1, originalName = 1;
                            if (!$.isEmptyObject(downLoadSettingInfo)) {
                                isQnumber = JSON.parse(downLoadSettingInfo).isQnumber;
                                originalName = JSON.parse(downLoadSettingInfo).originalName;
                            }

                            const sendDownSettingInfoObj = {
                                'isQnumber': isQnumber,
                                'originalName': originalName
                            };
                            ipcRenderer.send('saveDownLoadSettingInfo', sendDownSettingInfoObj);
                            ipcRenderer.on('saveDownLoadSettingInfoBack', (event, val) => {
                                if (val === 'ok') {
                                    sendObj.op = 'only'
                                    ipcRenderer.send('fileDownLoad', sendObj);
                                    ipcRenderer.on('fileDownLoadMessage', (event, val) => {
                                        if (val === 'only') {
                                            let dirName = __dirname;
                                            dirName = dirName.substring(0, dirName.indexOf('template') + 8);
                                            location.href = `file://${dirName}/project/projectlist.html`;
                                        }
                                    });
                                }
                            });

                        }
                    });
                } else {
                    $scope.logining = false;
                    $scope.loginmsg = '登录';
                    $scope.errormsg = errormsg;
                }
            }).error(function () {
                $scope.logining = false;
                $scope.loginmsg = '登录';
                $scope.errormsg = '出现未知错误，请联系管理员.';
            });
        };


        /**
         * @since  页面装载完成，进行自动登录逻辑
         */
        $scope.$watch('$viewContentLoaded', function () {
            const loginInfo = localStorage.getItem(baseConfig.LOCALSTORAGE.LOGININFO);
            if (loginInfo) {
                const loginInfoObj = JSON.parse(loginInfo);
                if (!$.isEmptyObject(loginInfoObj)) {
                    const { loginName, password } = loginInfoObj;
                    $scope.loginName = loginName;
                    $scope.password = password;
                    login();
                }
            }
        });
    }]);
});

