define('appdb', [], function () {
    'use strict';
    return {
        /**
         * @see 初始化tableSQL
         */
        'createTableSQL': {
            'project': `CREATE TABLE IF NOT EXISTS [project] ( 
  [pid] CHAR(32) NOT NULL DEFAULT '0',
  [uid] CHAR(32) NOT NULL DEFAULT '0', 
  [numbers] INTEGER(11) NOT NULL DEFAULT '0', 
  [title] CHAR(200) NOT NULL DEFAULT '0', 
  [fileSize] LARGEINT(64) NOT NULL DEFAULT 0, 
  [fileSizeDown] LARGEINT(64) NOT NULL DEFAULT 0, 
  [fileNumber] INT(11) NOT NULL DEFAULT 0, 
  [fileNumberDown] INT(11) NOT NULL DEFAULT 0, 
  [downStatus] SMALLINT(1) NOT NULL DEFAULT 0, 
  [status]  SMALLINT(1) NOT NULL DEFAULT 1,
  [createTime] TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime')),
  primary key (pid,uid));`,
            'store': `CREATE TABLE IF NOT EXISTS [store] ( 
  [uid] CHAR(32) NOT NULL DEFAULT '0', 
  [pid] CHAR(32) NOT NULL DEFAULT '0', 
  [sid] INT(11) NOT NULL DEFAULT 0,
  [number] CHAR(100) NOT NULL DEFAULT '0', 
  [title] CHAR(200) NOT NULL DEFAULT '0', 
  [fileSize] LARGEINT(64) NOT NULL DEFAULT 0, 
  [fileSizeDown] LARGEINT(64) NOT NULL DEFAULT 0, 
  [fileNumber] INT(11) NOT NULL DEFAULT 0, 
  [fileNumberDown] INT(11) NOT NULL DEFAULT 0, 
  [province] CHAR(100) NOT NULL DEFAULT '0', 
  [city] CHAR(100) NOT NULL DEFAULT '0', 
  [district] CHAR(100) NOT NULL DEFAULT '0', 
  [downStatus] SMALLINT(1) NOT NULL DEFAULT 0,
  [status]  SMALLINT(1) NOT NULL DEFAULT 1, 
  [createTime] TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime')),
  primary key (pid,uid,sid));`,
            'file': `CREATE TABLE IF NOT EXISTS [file] ( 
  [pid] CHAR(32) NOT NULL DEFAULT '0', 
  [sid] INT(11) NOT NULL DEFAULT 0, 
  [uid] CHAR(32) NOT NULL DEFAULT '0', 
  [title] CHAR(600) NOT NULL DEFAULT '0', 
  [fileSize] LARGEINT(64) NOT NULL DEFAULT 0, 
  [ftype] SMALLINT(1) NOT NULL DEFAULT 0, 
  [furl] CHAR(300) NOT NULL DEFAULT '', 
  [bocuketName] CHAR(32) NOT NULL DEFAULT 'shudongyun', 
  [address] CHAR(100) NOT NULL DEFAULT '0', 
  [createTime] TIMESTAMP NOT NULL, 
  [downloadStatus] SMALLINT(1) NOT NULL DEFAULT 0,
  [status]  SMALLINT(1) NOT NULL DEFAULT 1,
  primary key (pid,uid,sid,furl));`,
            'download': `CREATE TABLE IF NOT EXISTS [download] ( 
  [pid] CHAR(32) NOT NULL DEFAULT '0',
  [uid] CHAR(32) NOT NULL DEFAULT '0', 
  [sid] INT(11) NOT NULL DEFAULT 0, 
  [pnumbers] CHAR(32) NOT NULL DEFAULT '0', 
  [snumbers] CHAR(32) NOT NULL DEFAULT '0', 
  [sname] CHAR(32) NOT NULL DEFAULT '0',
  [status]  SMALLINT(1) NOT NULL DEFAULT 0,
  [sprocess]  SMALLINT(1) NOT NULL DEFAULT 0,
  [fileSize] LARGEINT(64) NOT NULL DEFAULT 0, 
  [fileSizeDown] LARGEINT(64) NOT NULL DEFAULT 0, 
  [fileNumber] INT(11) NOT NULL DEFAULT 0, 
  [fileNumberDown] INT(11) NOT NULL DEFAULT 0,
  [createTime] TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime')),
  primary key (pid,uid,sid));`
        },
        /**
         * @see 删除table语句
         */
        'dropTableSQL': {
            'project': `drop table if EXISTS  project`,
            'store': `drop table if EXISTS store`,
            'file': `drop table if EXISTS file`,
            'download': `drop table if EXISTS download`,
        },

        /**
         * @see 获取数据源
         */
        'getConn': function () {
            let db = openDatabase('client', '1.0', 'client', 5 * 1024 * 1024);
            if (db)
                return db;
            else
                return null;
        },

        /**
         * @see 初始化table
         */
        'initTable': function (db) {
            let projectsql = this.createTableSQL.project, storesql = this.createTableSQL.store,
                filesql = this.createTableSQL.file, downloadsql = this.createTableSQL.download, errorTable = 0;
            //创建project表
            // db.transaction(function (t) {
            //     t.executeSql(projectsql, [], function (t, r) {
            //         initSuccess();
            //     }, function (t, e) {
            //         let {code, message} = e;
            //         console.info(`sql errorcode -->${code} and message -->${message}`);
            //     });
            // });

            //创建store表
            // db.transaction(function (t) {
            //     t.executeSql(storesql, [], function (t, r) {
            //         initSuccess();
            //     }, function (t, e) {
            //         let {code, message} = e;
            //         console.info(`sql errorcode -->${code} and message -->${message}`);
            //     });
            // });

            //创建file表
            // db.transaction(function (t) {
            //     t.executeSql(filesql, [], function (t, r) {
            //         initSuccess();
            //     }, function (t, e) {
            //         let {code, message} = e;
            //         console.info(`sql errorcode -->${code} and message -->${message}`);
            //     });
            // });

            //创建download表
            db.transaction(function (t) {
                t.executeSql(downloadsql, [], function (t, r) {
                    initSuccess();
                }, function (t, e) {
                    let {code, message} = e;
                    console.info(`sql errorcode -->${code} and message -->${message}`);
                });
            });

            function initSuccess() {
                errorTable++;
                if (errorTable === 1)
                    localStorage.setItem('isFirstOpen', true);
            }

            // db.readTransaction(function (t) {
            //     t.executeSql('SELECT * FROM project ', [], function (t, r) {
            //         console.dir(r.rows[0]);
            //     }, function (t, e) {
            //         console.dir(e);
            //     });
            // });
        },


        /**
         * @see 删除table
         */
        'dropTable': function (db) {
            let projectsql = this.dropTableSQL.project, storesql = this.dropTableSQL.store,
                filesql = this.dropTableSQL.file, downloadsql = this.dropTableSQL.download;
            //创建project表
            db.transaction(function (t) {
                t.executeSql(projectsql, [], function (t, r) {
                }, function (t, e) {
                    console.dir(e);
                });
            });

            //创建store表
            db.transaction(function (t) {
                t.executeSql(storesql, [], function (t, r) {
                }, function (t, e) {
                    console.dir(e);
                });
            });

            //创建file表
            db.transaction(function (t) {
                t.executeSql(filesql, [], function (t, r) {
                }, function (t, e) {
                    console.dir(e);
                });
            });

            //创建download表
            db.transaction(function (t) {
                t.executeSql(downloadsql, [], function (t, r) {
                }, function (t, e) {
                    console.dir(e);
                });
            });

            localStorage.removeItem('isFirstOpen');
        }
    }
});