﻿/*
 * ! configuration for modules v1.0
 * 
 * Copyright (c) 2014-2020 zhaocaimao
 * 
 * Date: 2016-04-10T13:26:46Z
 */

/**
 * 
 * @see 所有功能节点对应的url定义和js依赖
 */
define("modules/modules", function () {
	return [{
		desc: '登录页面',
		url: '/login/login.html',
		options: {
			paths: {
				'login': 'admin/pages/scripts/login.min'
			}
		},
		deps: ['login']
	}, {
		desc: '项目列表界面',
		url: '/project/projectlist.html',
		options: {
			paths: {
				'projectlist': 'admin/pages/scripts/projectlist',
				'pagination': 'pagination/pagination'
			}
		},
		deps: ['projectlist', 'pagination']
	}, {
		desc: '门店列表界面',
		url: '/store/storelist.html',
		options: {
			paths: {
				'storelist': 'admin/pages/scripts/storelist',
				'pagination': 'pagination/pagination'
			}
		},
		deps: ['storelist', 'pagination']
	}, {
		desc: '文件列表界面',
		url: '/file/filelist.html',
		options: {
			paths: {
				'filelist': 'admin/pages/scripts/filelist'
			}
		},
		deps: ['filelist']
	}, {
		desc: '下载项目列表界面',
		url: '/project/downloadprojectlist.html',
		options: {
			paths: {
				'downloadprojectlist': 'admin/pages/scripts/downloadprojectlist'
			}
		},
		deps: ['downloadprojectlist']
	}, {
		desc: '下载门店列表界面',
		url: '/store/downloadstorelist.html',
		options: {
			paths: {
				'downloadstorelist': 'admin/pages/scripts/downloadstorelist',
				'pagination': 'pagination/pagination'
			}
		},
		deps: ['downloadstorelist', 'pagination']
	}, {
		desc: '下载文件列表界面',
		url: '/file/downloadfilelist.html',
		options: {
			paths: {
				'downloadfilelist': 'admin/pages/scripts/downloadfilelist'
			}
		},
		deps: ['downloadfilelist']
	}, {
		desc: '下载完成项目列表界面',
		url: '/project/finishedprojectlist.html',
		options: {
			paths: {
				'finishedprojectlist': 'admin/pages/scripts/finishedprojectlist'
			}
		},
		deps: ['finishedprojectlist']
	}, {
		desc: '下载完成门店列表界面',
		url: '/store/finishedstorelist.html',
		options: {
			paths: {
				'finishedstorelist': 'admin/pages/scripts/finishedstorelist',
				'pagination': 'pagination/pagination'
			}
		},
		deps: ['finishedstorelist', 'pagination']
	}, {
		desc: '下载完成文件列表界面',
		url: '/file/finishedfilelist.html',
		options: {
			paths: {
				'finishedfilelist': 'admin/pages/scripts/finishedfilelist'
			}
		},
		deps: ['finishedfilelist']
	}, {
        desc: '正在上传页面',
        url: '/store/uploadstorelist.html',
        options: {
            paths: {
                'uploadstorelist': 'admin/pages/scripts/uploadstorelist'
            }
        },
        deps: ['uploadstorelist']
    }, {
        desc: '上传完成页面',
        url: '/store/finishedUploadlist.html',
        options: {
            paths: {
                'finishedUploadlist': 'admin/pages/scripts/finishedUploadlist'
            }
        },
        deps: ['finishedUploadlist']
    }]
});