/*!
 * require-js configuration file  v1.0
 *
 * Copyright (c) 2016-2020 zhaocaimao
 *
 * Date: 2016-04-10T13:19:20Z
 */

(function () {
	var conf = {
		baseUrl: "../../assets/" // basepath
	};
	require(conf);
	require(
		["modules/modules"],
		function (modules) {
			// base options
			var baseOption = {
				paths: { // 以下依赖会自动加入到任何modules定义的功能中
					'jquery': 'global/plugins/jquery/jquery.min',
					'bootstrap': 'global/plugins/bootstrap/js/bootstrap.min',
					'slimscroll': 'global/plugins/jquery-slimscroll/jquery.slimscroll.min',
					'domReady': 'global/plugins/domReady/domReady',
					'angular': 'global/plugins/angularjs/angular.min',
					'app': 'moduleapp/app',
					// 'appdb': 'global/scripts/db',
					'base': 'global/scripts/base',
					'bootbox': 'global/plugins/bootbox/bootbox.min',
					'header': 'admin/common/scripts/header',
					'footer': 'admin/common/scripts/footer',
					'App': 'global/scripts/app.min',
					'layout': 'admin/layout/js/layout.min'
				},
				shim: {
					'jquery': {
						exports: 'jQuery'
					},
					'bootstrap': {
						deps: ['jquery']
					},
					'slimscroll': {
						deps: ['jquery']
					},
					'angular': {
						deps: ['jquery'],
						exports: 'angular'
					},
					'bootbox': {
						deps: ['jquery']
					}
					,
					'App': {
						deps: ['jquery']
					},
					'layout': {
						deps: ['App','jquery']
					}
				}
			};

			// basedeps
			baseDeps = ['jquery', 'angular', 'domReady', 'app',
				'bootstrap', 'base', 'header', 'footer', 'App', 'layout'];

			// private functions
			var __reqcallback = function (jquery, angular, domReady, app) {
				domReady(function () {
					angular.bootstrap($(document), [app.name]);
				});
			};

			// deeply clone and extend function
			var __extend = function (target, source) {
				if (target == undefined || target == null)
					target = {};
				for (name in source) {
					var copy = source[name];
					if (copy instanceof Array) {
						if (!target[name])
							target[name] = copy;
						else if (target[name] instanceof Array)
							target[name].push(copy);
					} else if (copy instanceof Object) {
						target[name] = __extend(target[name], copy);
					} else {
						target[name] = copy;
					}
				}
				return target;
			};

			var __spliceArray = function (target, source) {
				if (!source)
					source = [];
				for (var i = 0, j = source.length; i < j; i++) {
					target.push(source[i]);
				}
				return target;
			};

			// sort module by url string length
			var matchModule = false;
			for (var m = 0, n = arguments.length; m < n; m++) {
				var modules = arguments[m];
				modules = modules.sort(function (a, b) {
					return b.url.length - a.url.length;
				});

				// build requirejs configuration
				var url = location.href, targetModule = null;
				for (var i = 0, j = modules.length; i < j; i++) {
					var m = modules[i];
					if (url.indexOf(m.url) != -1) {
						targetModule = m;
						matchModule = true;
						break;
					}
				}
				if (matchModule && targetModule != null) {
					__spliceArray(baseDeps, targetModule.deps);
					__extend(baseOption, targetModule.options);
				}
			}

			// let's go
			require.config(baseOption);
			require(baseDeps, __reqcallback);
		});
})();